### Method

# ECal ComponentParameterBag fill_property

since: 3.34

#### Declaration [src]

    void
    e_cal_component_parameter_bag_fill_property (
      const ECalComponentParameterBag* bag,
      ICalProperty* property
    )

#### Description [src]

Adds all the stored parameters in the `bag` to the `property`. The function replaces any existing parameter with the new value, if any such exists. Otherwise the parameter is added.

Available since: 3.34

#### Parameters

`property`

  Type: `None`

  An `ICalProperty`.

  The data is owned by the caller of the method.